Subject: bug#44629: 28.0.50; Eglot noisy with gfm-view-mode and view-read-only

From: Eli Zaretskii <[email-masked]>
Date: Sat, 14 Nov 2020 14:02:08 +0200

> From: "Basil L. Contovounesios" <[email-masked]>
> Date: Sat, 14 Nov 2020 11:15:48 +0000
> Cc: João Távora <[email-masked]>
> 
> "Basil L. Contovounesios" <[email-masked]> writes:
> 
> > Perhaps Eglot could/should bind view-inhibit-help-message around
> > gfm-view-mode?  Any other ideas?
> 
> I tried advising eglot--format-markup to bind view-inhibit-help-message,
> which gets rid of the most annoying messages, but some still seem to
> emanate from jsonrpc, which calls read-only-mode in
> jsonrpc-events-buffer and initialize-instance.  I'd rather not have to
> rely on advising internal functions, but maybe I can't have my cake and
> eat it, too.  ;)

Can what you want be achieved by setting set-message-function to
something suitable?